//jshint esversion:6
$.ajaxSetup({
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
    }
});

$(document).on("submit","#general-settings-formData",function(e){

    e.preventDefault();

    if($("#general-settings-formData")[0].checkValidity()){

        $.ajax({
            url: '/admin/settings/general/update',
            type: 'PATCH',
            data: $("#general-settings-formData").serialize(),
            success: function(response) {
                //
                NioApp.Toast("<h6>"+response.title+"</h6>"+response.message,response.status,{position: 'top-right', timeOut: 6000});
            },
            error: function(response){
                //
            }
        });
    }
});


$(document).on("submit","#l_s_fd",function(e){

    e.preventDefault();

    if($("#l_s_fd")[0].checkValidity()){

        $.ajax({
            url: '/admin/settings/loan/update',
            type: 'PATCH',
            data: $("#l_s_fd").serialize(),
            success: function(response) {
                //console.log(response);
                NioApp.Toast("<h6>"+response.title+"</h6>"+response.message,response.status,{position: 'top-right', timeOut: 6000});
            },
            error: function(response){
                //console.log(response);
            }
        });
    }
});


$(document).on("submit","#t_f_fd",function(e){

    e.preventDefault();

    if($("#t_f_fd")[0].checkValidity()){

        $.ajax({
            url: '/admin/settings/transfer/update',
            type: 'PATCH',
            data: $("#t_f_fd").serialize(),
            success: function(response) {
                //console.log(response);
                NioApp.Toast("<h6>"+response.title+"</h6>"+response.message,response.status,{position: 'top-right', timeOut: 6000});
            },
            error: function(response){
                //console.log(response);
            }
        });
    }
});


// $(document).on("submit","#smtp-formData",function(e){

//     e.preventDefault();

//     if($("#smtp-formData")[0].checkValidity()){

//         $.ajax({
//             url: '/admin/settings/smtp/update',
//             type: 'PATCH',
//             data: $("#smtp-formData").serialize(),
//             success: function(response) {
//                 //
//                 NioApp.Toast("<h6>"+response.title+"</h6>"+response.message,response.status,{position: 'top-right', timeOut: 6000});
//             },
//             error: function(response){
//                 //
//             }
//         });
//     }
// });

// $(document).on("submit","#test-smtp-formData",function(e){
//     $(".sendMail").prop("disabled", true);
//     $(".sendMail-spinner").show();
//     e.preventDefault();

//     if($("#test-smtp-formData")[0].checkValidity()){

//         $.ajax({
//             url: '/admin/settings/smtp/test',
//             type: 'POST',
//             data: $("#test-smtp-formData").serialize(),
//             success: function(response) {
//                 //
//                 NioApp.Toast("<h6>"+response.title+"</h6>"+response.message,response.status,{position: 'top-right', timeOut: 6000});

//                 $(".sendMail").prop("disabled", false);
//                 $(".sendMail-spinner").hide();
//                 $("#to_email").val("");


//             },
//             error: function(response){
//                 //
//             }
//         });
//     }
// });
